" Vim syntax file
" Language:     Survex loop closure errors
" Maintainer:   Thomas Holder <thomasxholder@compuserve.de>
" 
" Copyright (C) 2006 Thomas Holder
" Distributed under the terms of the GNU General Public License v2 

syn match svxPErrSmall	/[A-Za-z]\+\s\+[0-4]\.\d\{2\}%$/
syn match svxPErrBig	/[A-Za-z]\+\s\+\([5-9]\|\d\{2,\}\)\.\d\{2\}%$/
syn match svxErrSmall	/^\d\.\d*$/
syn match svxErrBig	/^\d\{2,\}\.\d*$/
syn match svxHVErrSmall	/\<[HV]: \d\.\d*\>/
syn match svxHVErrBig	/\<[HV]: \d\{2,\}\.\d*\>/
syn match svxPolygon	/^[-_.a-zA-Z0-9]\+\( [-=] [-_.a-zA-Z0-9]\+\)\+$/

hi link svxPErrSmall	Statement
hi link svxErrSmall	Statement
hi link svxHVErrSmall	Statement
hi link svxPErrBig	Error
hi link svxErrBig	Error
hi link svxHVErrBig	Error
hi link svxPolygon	Identifier

" this has nothing to do with syntax, but is usefull
" to toggle the error file open/close on F9
nmap <buffer> <F9> :quit<CR>
imap <buffer> <F9> <ESC><F9>
